org.apache.cassandra.db

## Class DataRange.Serializer

- java.lang.Object
- - org.apache.cassandra.db.DataRange.Serializer

Enclosing class:
  DataRange

    public static class DataRange.Serializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataRange` `deserialize(DataInputPlus in, int version, CFMetaData metadata)`
`void` `serialize(DataRange range, DataOutputPlus out, int version, CFMetaData metadata)`
`long` `serializedSize(DataRange range, int version, CFMetaData metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serialize

    public void serialize(DataRange range,
                          DataOutputPlus out,
                          int version,
                          CFMetaData metadata)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public DataRange deserialize(DataInputPlus in,
                                 int version,
                                 CFMetaData metadata)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(DataRange range,
                               int version,
                               CFMetaData metadata)